package cn.iocoder.yudao.common;

import cn.iocoder.yudao.framework.common.exception.ErrorCode;
import cn.iocoder.yudao.module.system.enums.ErrorCodeConstants;

public interface CommonErrorCodeConstants extends ErrorCodeConstants {

    /** 企业管理-员工管理 */
    ErrorCode UNIQUE_CODE_CREATE_REPEAT = new ErrorCode(2_002_000_000, "唯一推广码生成失败");
    ErrorCode STAFF_CHANGE_CREATE_REPEAT = new ErrorCode(2_002_000_001, "该员工工作已交接");
    ErrorCode STAFF_NOT_CHANGE = new ErrorCode(2_002_000_003, "该员工还有工作未交接，不可删除");
    ErrorCode LOGIN_ACCOUNT_EXIST = new ErrorCode(2_002_000_004, "登录账号已存在");
    ErrorCode LOGIN_ACCOUNT_NOT_EXIST = new ErrorCode(2_002_000_005, "登录账号不存在");
    ErrorCode SYSTEM_ERROR = new ErrorCode(2_002_000_005, "系统错误");
    ErrorCode MISTAKEN_IDENTITY = new ErrorCode(2_002_000_006, "身份有误");
}
